Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76791 - cups logrotate
Summary: cups logrotate
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cups
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-26 19:34 UTC by Need Real Name
Modified: 2008-05-01 15:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-09 16:07:21 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-10-26 19:34:59 UTC
Cups has internal logrotation set, what makes log rotatiuon inconsistent with
the rest of the system,
The best way is to set 

MaxLogSize 0

in /etc/cups/cupsd.conf  and rotate files using script in /etc/logrotate.d/

/var/log/cups/*.log {
  missingok
  notifempty
  sharedscripts
  postrotate
    /etc/init.d/cups restart >/dev/null` 2>&1 || true
  endscript
}

This will make log rotation more consistent.

Comment 1 Need Real Name 2002-10-26 19:39:18 UTC
In addition:
/etc/init.d/cups restart >/dev/null 2>&1 || true
should not be used in scrip because 
this will start cups even if it should not be started.

The best way is to use pid, put cups seems does not create such file
in /var/run/ directory.


Comment 2 Tim Waugh 2002-11-08 14:53:05 UTC
This is fixed in cups-1.1.15-13, which will show up in rawhide shortly.

Comment 3 giulioo 2002-12-06 22:28:01 UTC
cups logs are by default *_log and not *.log, so cups.logrotate in rawhide needs
to be corrected.



Note You need to log in before you can comment on or make changes to this bug.